=== debian/control ===
Source: virtualbox-ose
Section: misc
Priority: optional
Maintainer: Sun Microsystems, Inc. <info@virtualbox.org>
Standards-Version: 3.2.1
Build-Depends: debhelper (>= 5), libz-dev, libssl-dev, libqt3-headers, qt3-dev-tools,
  libsdl1.2-dev, uuid-dev, libxcursor-dev, libidl-dev, libpam0g-dev, bcc, iasl, xsltproc,
  linux-headers-generic, wine, java2-runtime, lsb-release, g++-multilib [amd64],
  libc6-dev-i386 [amd64], ia32-libs [amd64], libasound-dev, libpulse-dev

Package: virtualbox-ose
Architecture: i386 amd64
Pre-Depends: debconf (>= 1.1) | debconf-2.0
Depends: ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, psmisc, adduser
Recommends: ${alsa}, ${pulse}, ${sdlttf}, linux-headers, gcc, make, binutils,
  bridge-utils, uml-utilities, libhal1 (>= 0.5)
Description: Sun xVM VirtualBox
 VirtualBox is a powerful PC virtualization solution allowing you to run a
 wide range of PC operating systems on your Linux system. This includes
 Windows, Linux, FreeBSD, DOS, OpenBSD and others. VirtualBox comes with a broad
 feature set and excellent performance, making it the premier virtualization
 software solution on the market.

Package: virtualbox-ose-dbg
Architecture: i386 amd64
Depends: virtualbox-ose (= ${Source-Version})
Description: Sun xVM VirtualBox debugging symbols
 VirtualBox is a powerful PC virtualization solution allowing you to run a
 wide range of PC operating systems on your Linux system. This includes
 Windows, Linux, FreeBSD, DOS, OpenBSD and others. VirtualBox comes with a broad
 feature set and excellent performance, making it the premier virtualization
 software solution on the market.
 .
 This package contains debugging symbols.
